@import '../../variables';

:host {
  color: $ch-dark-winter-cyan-light-gray;
}

.kd-profile-table {
  padding: 5px;
  margin-left: 5px;

  td {
    margin-right: 12px;
    padding: 5px;
  }
}

.kd-edit-button {
  background: $ch-dark-winter-dark-blue;
  color: $ch-dark-winter-cyan;
}

.kd-edit-button:hover {
  background: $ch-dark-winter-nav-text-active;
  color: $ch-dark-winter-dark-blue;
}

.kd-archive-button {
  background: $ch-dark-winter-orange;
  color: $ch-dark-winter-dark-blue;
}

.kd-archive-button:hover {
  background: $ch-dark-winter-nav-text-active;
}

.kd-save-button {
  background: $ch-dark-winter-dark-blue;
  color: $ch-dark-winter-cyan-light-gray;
}

.kd-save-button:hover {
  background: $ch-dark-winter-nav-text-active;
  color: $ch-dark-winter-cyan-light-gray;
}

.kd-edit {
  color: $ch-dark-winter-cyan;
}

.kd-edit:hover {
  color: $ch-dark-winter-nav-text-active;
  cursor: pointer;
}

.kd-check {
  color: rgb(89, 197, 121);
}

.kd-check:hover {
  color: $ch-dark-winter-nav-text-active;
  cursor: pointer;
}

.kd-cancel {
  color: $kd-btn-danger;
}

.kd-cancel:hover {
  color: $ch-dark-winter-nav-text-active;
  cursor: pointer;
}

.kd-cancel-changes {
  height: 40px;
  background: $kd-btn-danger;
  color: $ch-dark-winter-cyan-light-gray;
  border: 0.5px solid $ch-dark-winter-dark-red-border;
  border-radius: 2px;
}

.kd-cancel-changes:hover {
  background: $ch-dark-winter-nav-text-active;
  color: $ch-dark-winter-dark-blue;
  cursor: pointer;
}

.kd-cancel-changes-invalid {
  height: 40px;
  background: $kd-btn-danger;
  color: gray;
  border: 0.5px solid $ch-dark-winter-dark-red-border;
  border-radius: 2px;
}

.kd-info-text {
  background: $ch-dark-winter-dark-background-v2;
  color: $ch-dark-winter-cyan-light-gray;
  font-size: 16px;
  font-family: 'Courier New', Courier, monospace;
}
